//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/View/Tool/ID.h
//! @brief     Defines enum ViewId
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_VIEW_TOOL_ID_H
#define BORNAGAIN_GUI_VIEW_TOOL_ID_H

namespace GUI::ID {

//! Top-level windows
enum ViewId { WELCOME, PROJECT, INSTRUMENT, SAMPLE, IMPORT, SIMULATION, JOB, SESSIONMODEL };

//! Which distributions should be available in the selector
enum class Distributions { All, Symmetric };

} // namespace GUI::ID

#endif // BORNAGAIN_GUI_VIEW_TOOL_ID_H
