//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      Sim/Export/PyFmtLimits.h
//! @brief     Defines namespace pyfmt.
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifdef SWIG
#error no need to expose this header to Swig
#endif // SWIG
#ifndef BORNAGAIN_SIM_EXPORT_PYFMTLIMITS_H
#define BORNAGAIN_SIM_EXPORT_PYFMTLIMITS_H

#include <string>

class RealLimits;

//! Utility functions for writing Python code snippets.

namespace Py::Fmt {

std::string printRealLimits(const RealLimits& limits, const std::string& units = "");
std::string printRealLimitsArg(const RealLimits& limits, const std::string& units = "");

} // namespace Py::Fmt

#endif // BORNAGAIN_SIM_EXPORT_PYFMTLIMITS_H
